# learn_orm_word

# 如何编译，运行
> 本项目是跨平台项目，实测可以在linux,windows平台编译
1. 请确保安装了rust,cargo等编译工具，设置好了仓库镜像
2. 使用cargo build -r编译release版本
3. 二进制文件在target\release\learn_orm_word
4. 设置环境变量RUST_LOG=warn
>windows:
```
$Env:RUST_LOG="warn"
```

>linux
```
export RUST_LOG=warn
```
5. 运行后在路径中会自动生成settings.json,支持sqlite和mysql，mysql性能提升明显

# 性能提升
>Windows笔记本i5-11260H性能测试结果(961ms~1s)：
```
>Measure-Command{.\target\release\learn_orm_word.exe}
Days              : 0
Hours             : 0
Minutes           : 0
Seconds           : 1
Milliseconds      : 961
Ticks             : 19619653
TotalDays         : 2.2707931712963E-05
TotalHours        : 0.000544990361111111
TotalMinutes      : 0.0326994216666667
TotalSeconds      : 1.9619653
TotalMilliseconds : 1961.9653
```

# 关于版权
>注意：本程序用到的一切与字典相关的数据均归《笔顺码字典》所有，数据为学习用途，违法使用后果自负。

